Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005998 [DCSS] Bug Report minor always 2012-07-30 22:03 2013-07-23 18:28
Reporter DracoOmega View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0005998: rF--- is not always functionally the same as rF-
Description In general, negative levels of resistances are not supposed to provide additional negative effects. You take just as much extra damage with rF- as you do with rF---. However, there is one edge case where this behavior is untrue, and that is with regards to steam. The player can get steam vulnerability only with rF---, due to how it is derived from rF. This seems inconsistent with negative resistances in other cases, and perhaps should be changed.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019314)
KiloByte (manager)
2012-07-30 22:21

The question is, what would be correct?

Most cases assume rF-- is redundant, unspoiled players think it is not.
(0022748)
mumra (developer)
2013-05-21 16:10

I'd say rF--- is such an extreme case we shouldn't worry about it, and it does make some sense that being so severely vulnerable to heat would make a different with respect to steam. Could this information be communicated textually on the character screen?
(0022775)
neil (administrator)
2013-05-21 21:08

I'm more inclined to just make rF- give steam vulnerability.
(0022781)
minmay (reporter)
2013-05-23 03:48

You could solve that spoiler issue by simply displaying rF--(-) and rC--(-) as rF- and rC- on the character overview. Should probably reduce ring of flames to rC- to complement that, though.
(0022782)
KiloByte (manager)
2013-05-23 04:00

Looking around, it seems to me rF-- not working is not intentional. What if we made it actually worse than rF- in remaining cases as well?
(0023543)
MarvinPA (developer)
2013-07-23 18:28

Made negative levels of rF just give steam vulnerability.

- Issue History
Date Modified Username Field Change
2012-07-30 22:03 DracoOmega New Issue
2012-07-30 22:21 KiloByte Note Added: 0019314
2013-05-21 16:10 mumra Note Added: 0022748
2013-05-21 21:08 neil Note Added: 0022775
2013-05-23 03:48 minmay Note Added: 0022781
2013-05-23 04:00 KiloByte Note Added: 0022782
2013-07-23 18:28 MarvinPA Note Added: 0023543
2013-07-23 18:28 MarvinPA Status new => resolved
2013-07-23 18:28 MarvinPA Fixed in Branch => 0.13 development branch
2013-07-23 18:28 MarvinPA Resolution open => done
2013-07-23 18:28 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker